Company
Company Details
Description
This endpoint retrieves detailed information about a specific company on LinkedIn, identified by its unique company ID.
Endpoint
GET api/v1/realtime/social/linkedin/v1/company/{{identifier}}/details
Parameters
identifier
Yes
Path Param
String | The public identifier of the company. For more info go to the 'Get Started' section at the top of the page.
Example Request
curl -X GET 'https://api.webit.live/api/v1/realtime/social/linkedin/v1/company/nimbledata/details' \
--header 'Authorization: Basic <credential string>'Example Response
{
"name": "Nimble ",
"public_identifier": "nimbledata",
"urn": "urn:li:fsd_company:77053322",
"linkedin_id": 77053322,
"url": "https://www.linkedin.com/company/nimbledata/",
"industry": [
{
"name": "Software Development",
"urn": "urn:li:fsd_industryV2:4"
}
],
"headline": "The AI platform for collecting & processing the world’s web data in real-time.",
"description": "Nimble is building a world where businesses can easily create AI & BI applications using real-time public web data to make better decisions, solve problems, and enhance their operations. Nimble’s novel AI-agents harness LLM technology trained on HTML to deliver unrivaled data accuracy.\nNimble’s Data Platform and Scraping Infrastructure are redefining web scraping to be an effortless, automated, and scalable process. We empower data leaders across various sectors to effortlessly provide precise data, and impact business functions in marketing, sales, engineering and facilitating the development of next-generation AI & BI applications.\nOur key products include:\nNimble APIs: an end-to-end web data gathering solution that collects structured data from any public website and delivers it straight to your cloud storage. This includes:\n1. SERP collection for SEO/SEM BI analysis and business automation.\n2. Product data from the largest online marketplaces on the web\n3. Training and parameter data for AI models\n4. Lead enrichment data for sales\n\nScraping infrastructure: optimize your existing scraping operations with modern residential proxies, Unblocker proxies, and social media proxies.\n1. Residential proxies: modern proxies with insane performance, global geotargeting, and built-in AI optimization that curates proxies based on your needs and use cases.\n2. Unblocker proxy: enjoy proxies with built-in unblocking, JS rendering, and everything you need for a seamless scraping experience.\n\nReady for a smarter way to gather web data? Visit nimbleway.com\n\n\n\n\n\n\n\n\n",
"employee_count": 93,
"employee_count_range": {
"start": 51,
"end": 200
},
"followers_count": 6794,
"founded_on": {
"month": null,
"year": 2021,
"day": null
},
"phone": null,
"specialities": [],
"locations": [
{
"street_address_opt_out": false,
"description": "Headquarters",
"address": {
"country": "US",
"geographic_area": "NY",
"line4": null,
"city": "New York",
"postal_code": "10010",
"line3": null,
"line2": null,
"line1": "43 W 23rd St"
},
"headquarter": true
},
{
"street_address_opt_out": false,
"description": "The R&D Center",
"address": {
"country": "IL",
"geographic_area": null,
"line4": null,
"city": "Tel Aviv",
"postal_code": null,
"line3": null,
"line2": null,
"line1": "Beit Oved 15 St, The Orange House "
},
"headquarter": false
}
],
"universal_name": "nimbledata",
"logo": "https://media.licdn.com/dms/image/v2/C4D0BAQG6xLhw0ASI-A/company-logo_400_400/company-logo_400_400/0/1658152090045/nimbledata_logo?e=1732752000&v=beta&t=4sWvh0CpBa1ZCeG6fz3iwgGPGiqiwI2VSFnbrXfGqdw",
"background_image": "https://media.licdn.com/dms/image/v2/C561BAQE7D0OtSKmCpg/company-background_10000/company-background_10000/0/1640081502564/nimbledata_cover?e=1725292800&v=beta&t=2sSXOMEfYVt96bIzEqLL0-_dEjmjGCoKswXs7q6h__A",
"website_url": "https://nimbleway.com/?utm_source=linkedin",
"organization_type": "Privately Held",
"stock_symbol": null,
"is_claimable": false,
"default_locale": "en",
"crunchbase_url": null,
"call_to_action": {
"display_text": "Sign up",
"visible": true,
"type": "SIGN_UP",
"url": "https://nimbleway.com/contact/?utm_campaign=LinkedIn+organic&utm_source=linkedin&utm_medium=social&utm_content=company+overview"
}
}Company Jobs
Description
This endpoint retrieves a list of job postings available at a specific company on LinkedIn, identified by its unique company ID.
Endpoint
GET api/v1/realtime/social/linkedin/v1/company/{{identifier}}/jobs
Parameters
identifier
Yes
Path Param
String | The public identifier of the company. For more info go to the 'Get Started' section at the top of the page.
cursor
No
Query Param
String | Used for paginate through results. Use the cursor returned from your previous request.
Company People
Description
This endpoint retrieves a list of people associated with a specific company on LinkedIn, identified by its unique company ID.
Endpoint
GET api/v1/realtime/social/linkedin/v1/company/{{identifier}}/people
Parameters
identifier
Yes
Path Param
String | The public identifier of the company. For more info go to the 'Get Started' section at the top of the page.
cursor
No
Query Param
String | Used for paginate through results. Use the cursor returned from your previous request.
Company Posts
Description
This endpoint retrieves posts made by a specific company on LinkedIn, identified by its unique company ID.
Endpoint
GET api/v1/realtime/social/linkedin/v1/company/{{identifier}}/posts?type={{type}}
Parameters
identifier
Yes
Path Param
String | The public identifier of the company. For more info go to the 'Get Started' section at the top of the page.
type
No
Query Param
String | The type of posts to be returned. supported types:
all
articles
documents
cursor
No
Query Param
String | Used for paginate through results. Use the cursor returned from your previous request.
Company Products
Description
This endpoint retrieves information about products associated with a specific company on LinkedIn, identified by its unique company ID.
Endpoint
GET api/v1/realtime/social/linkedin/v1/company/{{identifier}}/products
Parameters
identifier
Yes
Path Param
String | The public identifier of the company. For more info go to the 'Get Started' section at the top of the page.
cursor
No
Query Param
String | Used for paginate through results. Use the cursor returned from your previous request.
Last updated